TQScintilla: TQextScintillaLexerCPP Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerCPP Class Reference

The TQextScintillaLexerCPP class encapsulates the Scintilla C++ lexer. More...

`#include <tqextscintillalexercpp.h>`

Inherits TQextScintillaLexer.

Inherited by TQextScintillaLexerCSharp, TQextScintillaLexerIDL, TQextScintillaLexerJava, and TQextScintillaLexerJavaScript.

List of all members.

## Public Types

- Default = 0
- WhiteSpace = Default
- Comment = 1
- CommentLine = 2
- CommentDoc = 3
- Number = 4
- Keyword = 5
- DoubleQuotedString = 6
- SingleQuotedString = 7
- UUID = 8
- PreProcessor = 9
- Operator = 10
- Identifier = 11
- UnclosedString = 12
- VerbatimString = 13
- Regex = 14
- CommentLineDoc = 15
- KeywordSet2 = 16
- CommentDocKeyword = 17
- CommentDocKeywordError = 18
- GlobalClass = 19
- enum {
  Default = 0, WhiteSpace = Default, Comment = 1,
  CommentLine = 2, CommentDoc = 3, Number = 4,
  Keyword = 5, DoubleQuotedString = 6, SingleQuotedString = 7,
  UUID = 8, PreProcessor = 9, Operator = 10,
  Identifier = 11, UnclosedString = 12, VerbatimString = 13,
  Regex = 14, CommentLineDoc = 15, KeywordSet2 = 16,
  CommentDocKeyword = 17, CommentDocKeywordError = 18, GlobalClass = 19
  }

## Public Slots

- virtual void setFoldAtElse (bool fold)
- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)
- virtual void setFoldPreprocessor (bool fold)
- virtual void setStylePreprocessor (bool style)

## Public Member Functions

- TQextScintillaLexerCPP (TQObject *parent=0, const char *name=0, bool caseInsensitiveKeywords=false)
- virtual ~TQextScintillaLexerCPP ()
- const char * language () const
- const char * lexer () const
- const char * blockEnd (int *style=0) const
- const char * blockStart (int *style=0) const
- const char * blockStartKeyword (int *style=0) const
- int braceStyle () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldAtElse () const
- bool foldComments () const
- bool foldCompact () const
- bool foldPreprocessor () const
- bool stylePreprocessor () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The TQextScintillaLexerCPP class encapsulates the Scintilla C++ lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the C++ lexer.

Enumerator:

  Default | The default.
  WhiteSpace | Deprecated: White space.
  Comment | A C comment.
  CommentLine | A C++ comment line.
  CommentDoc | A JavaDoc/Doxygen style C comment.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  UUID | An IDL UUID.
  PreProcessor | A pre-processor block.
  Operator | An operator.
  Identifier | An identifier.
  UnclosedString | The end of a line where a string is not closed.
  VerbatimString | A C# verbatim string.
  Regex | A JavaScript regular expression.
  CommentLineDoc | A JavaDoc/Doxygen style C++ comment line.
  KeywordSet2 | A keyword defined in keyword set number 2. The class must be sub-classed and re-implement keywords() to make use of this style.
  CommentDocKeyword | A JavaDoc/Doxygen keyword.
  CommentDocKeywordError | A JavaDoc/Doxygen keyword error.
  GlobalClass | A global class or typedef defined in keyword set number 4. The class must be sub-classed and re-implement keywords() to make use of this style.

## Constructor & Destructor Documentation

TQextScintillaLexerCPP::TQextScintillaLexerCPP | ( | TQObject * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | caseInsensitiveKeywords = `false` |
| ) |  |  |

Construct a TQextScintillaLexerCPP with parent parent and name name. parent is typically the TQextScintilla instance. caseInsensitiveKeywords is true if the lexer ignores the case of keywords.

virtual TQextScintillaLexerCPP::~TQextScintillaLexerCPP | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerCPP instance.

## Member Function Documentation

const char* TQextScintillaLexerCPP::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

Reimplemented in TQextScintillaLexerCSharp, TQextScintillaLexerIDL, TQextScintillaLexerJava, and TQextScintillaLexerJavaScript.

const char* TQextScintillaLexerCPP::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerCPP::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

Reimplemented in TQextScintillaLexerCSharp, TQextScintillaLexerIDL, and TQextScintillaLexerJavaScript.

bool TQextScintillaLexerCPP::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

Reimplemented in TQextScintillaLexerCSharp, and TQextScintillaLexerJavaScript.

TQFont TQextScintillaLexerCPP::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

Reimplemented in TQextScintillaLexerCSharp, and TQextScintillaLexerJavaScript.

const char* TQextScintillaLexerCPP::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexer.

Reimplemented in TQextScintillaLexerCSharp, TQextScintillaLexerIDL, TQextScintillaLexerJava, and TQextScintillaLexerJavaScript.

TQString TQextScintillaLexerCPP::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

Reimplemented in TQextScintillaLexerCSharp, TQextScintillaLexerIDL, and TQextScintillaLexerJavaScript.

TQColor TQextScintillaLexerCPP::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.

Reimplemented in TQextScintillaLexerCSharp, and TQextScintillaLexerJavaScript.

void TQextScintillaLexerCPP::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerCPP::foldAtElse | ( |  | ) | const

Returns true if "} else {" lines can be folded.

See also:
  setFoldAtElse()

bool TQextScintillaLexerCPP::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool TQextScintillaLexerCPP::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

bool TQextScintillaLexerCPP::foldPreprocessor | ( |  | ) | const

Returns true if preprocessor blocks can be folded.

See also:
  setFoldPreprocessor()

bool TQextScintillaLexerCPP::stylePreprocessor | ( |  | ) | const

Returns true if preprocessor lines (after the preprocessor directive) are styled.

See also:
  setStylePreprocessor()

virtual void TQextScintillaLexerCPP::setFoldAtElse | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then "} else {" lines can be folded. The default is false.

See also:
  foldAtElse()

virtual void TQextScintillaLexerCPP::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void TQextScintillaLexerCPP::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

virtual void TQextScintillaLexerCPP::setFoldPreprocessor | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then preprocessor blocks can be folded. The default is true.

See also:
  foldPreprocessor()

virtual void TQextScintillaLexerCPP::setStylePreprocessor | ( | bool | style | ) | `[virtual, slot]`

If style is true then preprocessor lines (after the preprocessor directive) are styled. The default is false.

See also:
  stylePreprocessor()

bool TQextScintillaLexerCPP::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  writeProperties()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerCPP::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  readProperties()

Reimplemented from TQextScintillaLexer.